function res = K_psf(hypSys)
    x_bar = hypSys.x_bar;
    epsi = hypSys.epsi;
    A = hypSys.A;
    r = hypSys.r;
    Delta_grid = hypSys.Delta_grid;
    
    La_x_bar = hypSys.La(:, 1 + round(x_bar/Delta_grid));
    Lb_x_bar = hypSys.Lb(:, 1 + round(x_bar/Delta_grid));
    
    res = Omega_alpha(x_bar, x_bar, hypSys) - r * Psi_b(x_bar, hypSys)*expm(A*(1/epsi)*(1 - x_bar)) ...
                + quadv(@(xi) (La_x_bar(1 + round(xi/Delta_grid))*Omega_alpha(xi, x_bar, hypSys) + ...
                               Lb_x_bar(1 + round(xi/Delta_grid))*Omega_beta(xi, x_bar, hypSys)), ...
                               0, x_bar);