function s_vec = Laguerre_sampling_points(numFreqs, alpha_LG, gamma_LG)
    n = (0:(numFreqs - 1))';
    theta = (n + 0.5) * pi / numFreqs;
    s_vec = (gamma_LG ./ ( 1 - exp(1j .* theta))) - alpha_LG;