function well_data = well_02
%     beta    = 1e9; % Pascal
%     rho     = 1120; % kg/m3
    beta    = 7317e5; % Pascal
    rho     = 1250; % kg/m3
    l       = 2500; % m
    A_1     = 0.024; % m2
    F_1     = 10;% 0.0158/l; % ?
    A_2     = 0.02; % m^2
    g       = 9.81;
    
    omega   = 2*pi/16;
    A_bar   = [0 omega; -omega 0];
    C_bar   = [0 1];
    
    well_data.beta  = beta;
    well_data.rho   = rho;
    well_data.l     = l;
    well_data.A_1   = A_1;
    well_data.A_2   = A_2;
    well_data.F_1   = F_1;
    well_data.g     = g;
    
    well_data.A_bar = A_bar;
    well_data.C_bar = C_bar;