function Uin = controller_K_inf(t, u_aug, v_aug, z_aug, X, hypSys)

    ku = hypSys.ctrl_params.ku;
    kv = hypSys.ctrl_params.kv;
    
    K_inf_x_bar = hypSys.ctrl_params.K_inf_x_bar;
    r = hypSys.r;
    
    V = (1 / r) * K_inf_x_bar * X;
    
    Uin = ku * u_aug + kv * v_aug + V;