function res = delta(xi, u, v, hypSys)

    x_bar = hypSys.x_bar;
    
    N = length(u);

    u_aug = [(2*u(1) - u(2)); ...
                u(1:N); ...
             (2*u(N) - u(N - 1))];
     
    v_aug = [(2*v(1) - v(2)); ...
                v(1:N); ...
             (2*v(N) - v(N - 1))];

    if (xi + x_bar >= 1)
        res = alpha_from_u_and_v(xi + x_bar - 1, u_aug, v_aug, hypSys);
    else
        res = hypSys.q * beta_from_u_and_v(1 - xi - x_bar, u_aug, v_aug, hypSys);
    end;