function res = K_inf(K_rec_x_bar, hypSys)

    dv  = 2*hypSys.x_bar / hypSys.epsi;
    A = hypSys.A;
    q = hypSys.q;
    r = hypSys.r;

    B = (q/r) * expm(- A * dv);
    
    res = K_rec_x_bar * (eye(2) - B)^(-1);