function err = error_fun(alpha_LG, numFreqs, gamma_func, gammadiff, sampling_fun, hypSys)

    gamma_LG = gamma_func(alpha_LG, gammadiff);
    s_vec = Laguerre_sampling_points(numFreqs, alpha_LG, gamma_LG);
    data_vec = sampling_fun(s_vec, hypSys);
    q_spec = Laguerre_spectrum(numFreqs, alpha_LG, gamma_LG, data_vec);
    
    err = ((0:(numFreqs - 1))*(q_spec.^2))/(q_spec'*q_spec);