function hypSys = setup_hypSys(depth)
    well_data = well_02;

    N       = 100;
    N_tr    = 100;

    x_bar   = 1 - depth/well_data.l;

    ctrl_on_limit = 40;
    obsv_on_limit = 40;

    poles = [-0.15 + 0.02i, -0.15 - 0.02i];

    tic;
    hypSys = hypSys_from_well(N, N_tr, x_bar, ctrl_on_limit, obsv_on_limit, poles, well_data);
    toc;