function res = Omega_alpha(xi, x_bar, hypSys)
    epsi = hypSys.epsi;
    A = hypSys.A;
    C = hypSys.C;
    q = hypSys.q;
    
    z_a0 =  xi + x_bar - 1;
    
    if (xi + x_bar >= 1)
        res = Phi_a(xi, z_a0, hypSys) * expm(A*(1/epsi)*(1 - z_a0));
    else
        z_b0 =  1 - xi - x_bar;
        
        res = (q*Phi_b(0, z_b0, hypSys) + C) * expm(A*(1/epsi)*z_b0) + Phi_a(xi, 0, hypSys)*expm(A*(1/epsi)*(1 - z_a0));
    end;