function res = Phi_a(y, z, hypSys)

    epsi = hypSys.epsi;
    Delta_grid = hypSys.Delta_grid;
    A = hypSys.A;
    C = hypSys.C;
    
    Kuu0 = hypSys.Kuu(1, :);
    x_index = 0:Delta_grid:1;
    
    res = -epsi * quadv(@(tau) (interp1(x_index, Kuu0, 1 - epsi*tau, 'linear') * C * expm(- A * tau)), (1/epsi)*(1 - y), (1/epsi)*(1 - z));