function res = Phi_b(y, z, hypSys)

    epsi = hypSys.epsi;
    Delta_grid = hypSys.Delta_grid;
    A = hypSys.A;
    C = hypSys.C;
    
    Kvu0 = hypSys.Kvu(1, :);
    x_index = 0:Delta_grid:1;
    
    res = -epsi * quadv(@(tau) (interp1(x_index, Kvu0, epsi*tau, 'linear') * C * expm(- A * tau)), (y/epsi), (z/epsi));