function res = Psi_a(y, hypSys)

    epsi = hypSys.epsi;
    A = hypSys.A;
    C = hypSys.C;
    q = hypSys.q;
    
    res = Phi_a(y, 0, hypSys) * expm(A*(1/epsi)*(1 - y)) + ...
            (q * Phi_b(0, 1, hypSys) + C) * expm(- A*(y/epsi));